summaryrefslogtreecommitdiffstats
path: root/packaging
diff options
context:
space:
mode:
authorJames Mills <prologic@shortcircuit.net.au>2020-03-05 02:12:38 +1000
committerGitHub <noreply@github.com>2020-03-04 11:12:38 -0500
commit72d35831769517383865bebdba35c8dbad0fc301 (patch)
treeab0ae0e074da7a50e7908f2d6e834f4914391cd7 /packaging
parent4ca5569f9e3bc3496215eb34e27e005e717b56b1 (diff)
Fix RHEL / CentOS 8.x dependencies for Judy-devel and others (#8202)
Diffstat (limited to 'packaging')
-rwxr-xr-xpackaging/installer/install-required-packages.sh15
1 files changed, 10 insertions, 5 deletions
diff --git a/packaging/installer/install-required-packages.sh b/packaging/installer/install-required-packages.sh
index fb14065d5e..79423b50a4 100755
--- a/packaging/installer/install-required-packages.sh
+++ b/packaging/installer/install-required-packages.sh
@@ -417,7 +417,7 @@ detect_package_manager_from_distribution() {
fi
;;
- clear-linux* | clearlinux* )
+ clear-linux* | clearlinux*)
package_installer="install_swupd"
tree="clearlinux"
if [ "${IGNORE_INSTALLED}" -eq 0 ] && [ -z "${swupd}" ]; then
@@ -1337,12 +1337,16 @@ validate_tree_centos() {
fi
fi
- echo >&2 " > Checking for getpagespeed-extras ..."
- if ! run yum ${sudo} repolist | grep 'getpagespeed-extras'; then
- if prompt "PowerTools not found, shall I install it?"; then
- run ${sudo} yum ${opts} install https://extras.getpagespeed.com/release-el8-latest.rpm
+ echo >&2 " > Checking for Okay ..."
+ if ! rpm -qa | grep okay > /dev/null; then
+ if prompt "okay not found, shall I install it?"; then
+ run ${sudo} yum ${opts} install http://repo.okay.com.mx/centos/8/x86_64/release/okay-release-1-3.el8.noarch.rpm
fi
fi
+
+ echo >&2 " > Installing Judy-devel directly ..."
+ run ${sudo} yum ${opts} install http://mirror.centos.org/centos/8/PowerTools/x86_64/os/Packages/Judy-devel-1.0.5-18.module_el8.1.0+217+4d875839.x86_64.rpm
+
elif [[ "${version}" =~ ^6\..*$ ]]; then
echo >&2 " > Detected CentOS 6.x ..."
echo >&2 " > Checking for Okay ..."
@@ -1351,6 +1355,7 @@ validate_tree_centos() {
run ${sudo} yum ${opts} install http://repo.okay.com.mx/centos/6/x86_64/release/okay-release-1-3.el6.noarch.rpm
fi
fi
+
fi
}